Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util
Class Immutable.Iterator<V>

    java.lang.Object
      org.jivesoftware.util.Immutable.Iterator<V>

All Implemented Interfaces:
  Iterator<V>

Enclosing class:
  Immutable

    public static class Immutable.Iterator<V>

extends Object
implements Iterator<V>

Read-only `Immutable.Iterator` prevents removal of objects

Constructor Summary
`Immutable.Iterator(Iterator<V> delegate)`

Method Summary
`boolean` | `hasNext()`
`V` | `next()`
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Immutable.Iterator

    public Immutable.Iterator(Iterator<V> delegate)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator<V>`

### next

    public V next()

  Specified by:
    `next` in interface `Iterator<V>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator<V>`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.